org.bouncycastle.bcpg.sig

## Class TrustSignature

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.TrustSignature

    public class TrustSignature
    extends SignatureSubpacket

packet giving trust.

### Field Summary

### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`data`

### Constructor Summary

Constructors
Constructor and Description
`TrustSignature(boolean critical, byte[] data)`
`TrustSignature(boolean critical, int depth, int trustAmount)`

### Method Summary

Methods
`int` `getDepth()`
`int` `getTrustAmount()`

### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`encode, getData, getType, isCritical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrustSignature

    public TrustSignature(boolean critical,
                  byte[] data)

#### TrustSignature

    public TrustSignature(boolean critical,
                  int depth,
                  int trustAmount)

### Method Detail

#### getDepth

    public int getDepth()

#### getTrustAmount

    public int getTrustAmount()